Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.auth
Class AuthConstants

    java.lang.Object
      com.plumtree.remote.auth.AuthConstants

public class AuthConstants
extends java.lang.Object

Static SCI (com.plumtree.remote.sci) constants related to authentication and synchronization services.

Field Summary
`static java.lang.String` | `FLATTEN_GROUPS` If FLATTEN_GROUPS is present and equals 0, the portal is version 5.0 and the group hierarchies will not be flattened.
`static java.lang.String` | `NS_AUTH` The authentication/synchronization service namespace.
`static java.lang.String` | `TAG_AUTH_URL` The URL to the Authentication Web Service for this service.
`static java.lang.String` | `TAG_CATEGORY` The Plumtree authentication category to which users and groups belong.
`static java.lang.String` | `TAG_SYNC_URL` The URL to the Synchronization Web Service for this service.

Constructor Summary
`AuthConstants()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS_AUTH

    public static java.lang.String NS_AUTH

  The authentication/synchronization service namespace.

### TAG_CATEGORY

    public static java.lang.String TAG_CATEGORY

  The Plumtree authentication category to which users and groups belong. The SCI pages must not allow users to change this value after the authentication service has imported users or groups.

### TAG_AUTH_URL

    public static java.lang.String TAG_AUTH_URL

  The URL to the Authentication Web Service for this service. Users should be able to set this URL, but an accurate default should be provided. Note: This URL is not required for version 5.0 of the Plumtree Portal.

### TAG_SYNC_URL

    public static java.lang.String TAG_SYNC_URL

  The URL to the Synchronization Web Service for this service. Users should be able to set this, but an accurate default should be provided. Note: This URL is not required for version 5.0 of the Plumtree Portal.

### FLATTEN_GROUPS

    public static java.lang.String FLATTEN_GROUPS

  If FLATTEN_GROUPS is present and equals 0, the portal is version 5.0 and the group hierarchies will not be flattened. In version 4.5WS, the portal expected the sync provider to flatten any group hierarchies, returning only a list of users 1-N levels below the specified group. In version 5.0, the call to `getMembers` returns the immediate children, both groups and users.

Constructor Detail

### AuthConstants

    public AuthConstants()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.